    PROGRAM g01bjfe

!      G01BJF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01bjf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: p, peqk, pgtk, plek
       INTEGER                         :: ifail, k, n
!      .. Executable Statements ..
       WRITE (nout,*) 'G01BJF Example Program Results'
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) '   N     P      K     PLEK      PGTK      PEQK'
       WRITE (nout,*)

!      Loop over all data
D_LP:  DO
          READ (nin,*,IOSTAT=ifail) n, p, k
          IF (ifail/=0) THEN
!            All data processed
             EXIT D_LP
          END IF

!         Calculate probability
          ifail = 0
          CALL g01bjf(n,p,k,plek,pgtk,peqk,ifail)

!         Display results
          WRITE (nout,99999) n, p, k, plek, pgtk, peqk
       END DO D_LP

99999  FORMAT (1X,I4,F8.3,I5,3F10.5)
    END PROGRAM g01bjfe
